std::_Node_handle_common< _Val, _NodeAlloc > Class Template Reference

## Public Types

using | allocator_type = __alloc_rebind< _NodeAlloc, _Val >

## Public Member Functions

bool | empty () const noexcept
allocator_type | get_allocator () const noexcept
| operator bool () const noexcept

## Detailed Description

### template<typename _Val, typename _NodeAlloc>
class std::_Node_handle_common< _Val, _NodeAlloc >

Base class for node handle types of maps and sets.

Definition at line 64 of file node_handle.h.

The documentation for this class was generated from the following file:

- node_handle.h